Create a person
curl --request POST \
--url https://api.yorlet.com/v1/owners/{id}/persons \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "[email protected]",
"first_name": "<string>",
"last_name": "<string>",
"metadata": {},
"phone": "<string>",
"relationship": {
"director": true,
"executive": true,
"owner": true,
"percent_ownership": 50,
"representative": true,
"title": "<string>"
},
"title": "<string>"
}
'import requests
url = "https://api.yorlet.com/v1/owners/{id}/persons"
payload = {
"email": "[email protected]",
"first_name": "<string>",
"last_name": "<string>",
"metadata": {},
"phone": "<string>",
"relationship": {
"director": True,
"executive": True,
"owner": True,
"percent_ownership": 50,
"representative": True,
"title": "<string>"
},
"title": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: '[email protected]',
first_name: '<string>',
last_name: '<string>',
metadata: {},
phone: '<string>',
relationship: {
director: true,
executive: true,
owner: true,
percent_ownership: 50,
representative: true,
title: '<string>'
},
title: '<string>'
})
};
fetch('https://api.yorlet.com/v1/owners/{id}/persons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.yorlet.com/v1/owners/{id}/persons",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'email' => '[email protected]',
'first_name' => '<string>',
'last_name' => '<string>',
'metadata' => [
],
'phone' => '<string>',
'relationship' => [
'director' => true,
'executive' => true,
'owner' => true,
'percent_ownership' => 50,
'representative' => true,
'title' => '<string>'
],
'title' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.yorlet.com/v1/owners/{id}/persons"
payload := strings.NewReader("{\n \"email\": \"[email protected]\",\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"metadata\": {},\n \"phone\": \"<string>\",\n \"relationship\": {\n \"director\": true,\n \"executive\": true,\n \"owner\": true,\n \"percent_ownership\": 50,\n \"representative\": true,\n \"title\": \"<string>\"\n },\n \"title\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.yorlet.com/v1/owners/{id}/persons")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"email\": \"[email protected]\",\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"metadata\": {},\n \"phone\": \"<string>\",\n \"relationship\": {\n \"director\": true,\n \"executive\": true,\n \"owner\": true,\n \"percent_ownership\": 50,\n \"representative\": true,\n \"title\": \"<string>\"\n },\n \"title\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.yorlet.com/v1/owners/{id}/persons")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"email\": \"[email protected]\",\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"metadata\": {},\n \"phone\": \"<string>\",\n \"relationship\": {\n \"director\": true,\n \"executive\": true,\n \"owner\": true,\n \"percent_ownership\": 50,\n \"representative\": true,\n \"title\": \"<string>\"\n },\n \"title\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"created": 123,
"object": "owner.person",
"address": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"country": "<string>",
"postal_code": "<string>",
"state": "<string>"
},
"dob": {
"day": 16,
"month": 6,
"year": 5949
},
"email": "[email protected]",
"first_name": "<string>",
"last_name": "<string>",
"phone": "<string>",
"relationship": {
"director": true,
"executive": true,
"owner": true,
"percent_ownership": 50,
"representative": true,
"title": "<string>"
},
"title": "<string>",
"verification_session": "<string>",
"verification": {
"status": "<string>"
},
"account": "<string>",
"deleted": false,
"metadata": {}
}Authorizations
API Key authentication. Use "Bearer YOUR_API_KEY".
Path Parameters
The id identifier.
Body
The individual's home address.
Show child attributes
Show child attributes
The individual's date of birth.
Show child attributes
Show child attributes
The individual's email address.
The individual's first name.
The individual's last name.
Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.
Show child attributes
Show child attributes
The individual's phone number.
The person's relationship to the company.
Show child attributes
Show child attributes
The person's title within the company.
Response
Returns the person object if the request succeeded.
Unique identifier for the object.
Time at which the object was created. Measured in seconds since the Unix epoch.
owner.person The individual's home address.
Show child attributes
Show child attributes
The individual's date of birth.
Show child attributes
Show child attributes
The individual’s email address.
The individual's first name.
The individual's last name.
The individual's phone number.
Describes the person's relationship to the company.
Show child attributes
Show child attributes
The person's title within the company.
The verification session associated with the person.
Verification status information.
Show child attributes
Show child attributes
The account that the object belongs to. Only returned if the request is made with a valid Yorlet-Context header.
Only returned if the object has been deleted.
Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.
Show child attributes
Show child attributes
Was this page helpful?
curl --request POST \
--url https://api.yorlet.com/v1/owners/{id}/persons \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "[email protected]",
"first_name": "<string>",
"last_name": "<string>",
"metadata": {},
"phone": "<string>",
"relationship": {
"director": true,
"executive": true,
"owner": true,
"percent_ownership": 50,
"representative": true,
"title": "<string>"
},
"title": "<string>"
}
'import requests
url = "https://api.yorlet.com/v1/owners/{id}/persons"
payload = {
"email": "[email protected]",
"first_name": "<string>",
"last_name": "<string>",
"metadata": {},
"phone": "<string>",
"relationship": {
"director": True,
"executive": True,
"owner": True,
"percent_ownership": 50,
"representative": True,
"title": "<string>"
},
"title": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: '[email protected]',
first_name: '<string>',
last_name: '<string>',
metadata: {},
phone: '<string>',
relationship: {
director: true,
executive: true,
owner: true,
percent_ownership: 50,
representative: true,
title: '<string>'
},
title: '<string>'
})
};
fetch('https://api.yorlet.com/v1/owners/{id}/persons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.yorlet.com/v1/owners/{id}/persons",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'email' => '[email protected]',
'first_name' => '<string>',
'last_name' => '<string>',
'metadata' => [
],
'phone' => '<string>',
'relationship' => [
'director' => true,
'executive' => true,
'owner' => true,
'percent_ownership' => 50,
'representative' => true,
'title' => '<string>'
],
'title' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.yorlet.com/v1/owners/{id}/persons"
payload := strings.NewReader("{\n \"email\": \"[email protected]\",\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"metadata\": {},\n \"phone\": \"<string>\",\n \"relationship\": {\n \"director\": true,\n \"executive\": true,\n \"owner\": true,\n \"percent_ownership\": 50,\n \"representative\": true,\n \"title\": \"<string>\"\n },\n \"title\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.yorlet.com/v1/owners/{id}/persons")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"email\": \"[email protected]\",\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"metadata\": {},\n \"phone\": \"<string>\",\n \"relationship\": {\n \"director\": true,\n \"executive\": true,\n \"owner\": true,\n \"percent_ownership\": 50,\n \"representative\": true,\n \"title\": \"<string>\"\n },\n \"title\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.yorlet.com/v1/owners/{id}/persons")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"email\": \"[email protected]\",\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"metadata\": {},\n \"phone\": \"<string>\",\n \"relationship\": {\n \"director\": true,\n \"executive\": true,\n \"owner\": true,\n \"percent_ownership\": 50,\n \"representative\": true,\n \"title\": \"<string>\"\n },\n \"title\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"created": 123,
"object": "owner.person",
"address": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"country": "<string>",
"postal_code": "<string>",
"state": "<string>"
},
"dob": {
"day": 16,
"month": 6,
"year": 5949
},
"email": "[email protected]",
"first_name": "<string>",
"last_name": "<string>",
"phone": "<string>",
"relationship": {
"director": true,
"executive": true,
"owner": true,
"percent_ownership": 50,
"representative": true,
"title": "<string>"
},
"title": "<string>",
"verification_session": "<string>",
"verification": {
"status": "<string>"
},
"account": "<string>",
"deleted": false,
"metadata": {}
}